## praat-6.4.47-1.src.tar.gz

=== fon/Makefile ===
# Makefile of the library "fon"
# Paul Boersma, 18 May 2025

include ../makefile.defs

CPPFLAGS = -I ../kar -I ../melder -I ../sys -I ../dwsys -I ../stat -I ../dwtools -I ../LPC -I ../foned -I ../fon -I ../external/portaudio -I ../external/flac -I ../external/mp3 -I ../external/espeak

OBJECTS = Transition.o Distributions_and_Transition.o \
   Function.o Sampled.o SampledXY.o Matrix.o Vector.o Polygon.o PointProcess.o \
   Matrix_and_PointProcess.o Matrix_and_Polygon.o AnyTier.o RealTier.o \
   Sound.o LongSound.o SoundSet.o Sound_files.o Sound_audio.o PointProcess_and_Sound.o Sound_PointProcess.o ParamCurve.o \
   Pitch.o Harmonicity.o Intensity.o Matrix_and_Pitch.o Sound_to_Pitch.o \
   Sound_to_Intensity.o Sound_to_Harmonicity.o Sound_to_Harmonicity_GNE.o Sound_to_PointProcess.o \
   Pitch_to_PointProcess.o Pitch_to_Sound.o Pitch_Intensity.o \
   PitchTier.o Pitch_to_PitchTier.o PitchTier_to_PointProcess.o PitchTier_to_Sound.o Manipulation.o \
   Pitch_AnyTier_to_PitchTier.o IntensityTier.o DurationTier.o AmplitudeTier.o \
   Spectrum.o Ltas.o Spectrogram.o SpectrumTier.o Ltas_to_SpectrumTier.o \
   Formant.o Image.o Sound_to_Formant.o Sound_and_Spectrogram.o \
   Sound_and_Spectrum.o Spectrum_and_Spectrogram.o Spectrum_to_Formant.o \
   FormantTier.o TextGrid.o TextGrid_files.o TextGrid_Sound.o Label.o FormantGrid.o \
   Excitation.o Cochleagram.o Cochleagram_and_Excitation.o Excitation_to_Formant.o \
   Sound_to_Cochleagram.o Spectrum_to_Excitation.o \
   VocalTract.o VocalTract_to_Spectrum.o \
   Sound_enhance.o VoiceAnalysis.o H1minusH2Tier.o \
   WordList.o SpellingChecker.o \
   FujisakiPitch.o \
   ExperimentMFC.o manual_ExperimentMFC.o praat_ExperimentMFC.o \
   Photo.o Movie.o \
   Corpus.o \
   manual_Picture.o manual_Manual.o \
   manual_commands.o manual_formulas.o manual_functions.o manual_scripting.o manual_demoWindow.o \
   manual_whatsnew.o manual_soundFiles.o manual_licenses.o manual_tutorials.o manual_references.o \
   manual_programming.o manual_Fon.o manual_voice.o Praat_tests.o \
   manual_glossary.o manual_Sampling.o manual_exampleSound.o \
   manual_sound.o manual_pitch.o manual_spectrum.o manual_formant.o \
   manual_pointProcess.o manual_annotation.o \
   praat_TimeFunction.o praat_TimeTier.o praat_TimeFrameSampled.o \
   praat_Sound.o praat_Matrix.o praat_Tiers.o praat_TextGrid_init.o praat_uvafon_init.o

.PHONY: all clean

all: libfon.a

clean:
	$(RM) $(OBJECTS)
	$(RM) libfon.a

libfon.a: $(OBJECTS)
	touch libfon.a
	rm libfon.a
	$(AR) cq libfon.a $(OBJECTS)
	$(RANLIB) libfon.a

$(OBJECTS): *.h ../external/portaudio/*.h ../kar/*.h ../melder/*.h ../sys/*.h ../dwsys/*.h ../stat/*.h ../dwtools/*.h ../LPC/*.h ../foned/*.h ../external/flac/*.h ../external/mp3/mp3.h

=== external/mp3/Makefile ===
# Makefile of the library "external/mp3"
# Erez Volk, 24 May 2007
# Paul Boersma, 24 August 2013

include ../../makefile.defs

CPPFLAGS = -I ../../melder

OBJECTS = mp3.o \
	mad_bit.o \
	mad_decoder.o \
	mad_fixed.o \
	mad_frame.o \
	mad_huffman.o \
	mad_layer12.o \
	mad_layer3.o \
	mad_stream.o \
	mad_synth.o \
	mad_timer.o \
	mad_version.o

.PHONY: all clean

all: libmp3.a

clean:
	$(RM) $(OBJECTS)
	$(RM) libmp3.a

libmp3.a: $(OBJECTS)
	touch libmp3.a
	rm libmp3.a
	$(AR) cq libmp3.a $(OBJECTS)
	$(RANLIB) libmp3.a

$(OBJECTS): *.h ../../melder/*.h

=== PKGBUILD ===
# Maintainer: Caleb Maclennan <caleb@alerque.com>
# Contributor: svkampen <sam at tehsvk dot net>
# Contributor: Charlotte Van Petegem <charlotte at vanpetegem dot me>
# Contributor: jpate <jkpate@jkpate.net>

# c.f. Debian rules and control files here:
# https://tracker.debian.org/pkg/praat

pkgname=praat
pkgver=6.4.47
pkgrel=1
pkgdesc='A speech analysis tool used for doing phonetics by computer'
arch=(x86_64 i686 aarch64)
url=https://www.fon.hum.uva.nl/praat/
license=(GPL)
depends=(alsa-lib
         gtk3
         jack
         libpulse
         ttf-charis-sil
         ttf-doulos-sil)
optdepends=(ttf-sil-fonts)
replaces=("$pkgname-bin") # recently deleted AUR bin variant
_url="https://github.com/$pkgname/$pkgname"
_archive="$pkgname.github.io-$pkgver"
source=("$_url/archive/v$pkgver/$_archive.tar.gz"
        "$pkgname.1"
        "$pkgname.desktop"
        "$pkgname.svg"
        "$pkgname.xpm")
sha256sums=('307600b779062dc5710fa7ddefaffc058b29027c2df3d4dccc83c5276b822427'
            '21ee03cae45be634c57c167c2dfbdfd9d9b7feadb98e0124413d9426c199e81c'
            '94720aedc8e9c9e9d53b3230d79ccaae551b5bc5e6986528664311d55f3cce5a'
            'db6c7568f6e13b4ce7c37bd9fcf289832867f79ba7d7fc48c4f13f0045ad98f1'
            '07abf61475f22f83f0514a8fba1ec7bd3821d2b7f35b1215c1f3e1feb947d74b')

prepare() {
	cd "$_archive"
	cp makefiles/makefile.defs.linux.pulse-gcc makefile.defs
}

build() {
	cd "$_archive"
	make
}

package() {
	cd "$_archive"
	install -Dm0755 -t "$pkgdir/usr/bin/" "$pkgname"
	install -Dm0644 -t "$pkgdir/usr/share/applications/" "../$pkgname.desktop"
	install -Dm0644 -t "$pkgdir/usr/share/icons/hicolor/scalable/apps/" "../$pkgname.svg"
	install -Dm0644 -t "$pkgdir/usr/share/pixmaps/" "../$pkgname.xpm"
	install -Dm0644 -t "$pkgdir/usr/share/man/man1/" "../$pkgname.1"
}
